Package twisted :: Package internet :: Module interfaces :: Class IPushProducer |
[frames | no frames]

## Class IPushProducer

    Interface --+
                |
        IProducer --+
                    |
                   IPushProducer

A push producer, also known as a streaming producer is expected to produce (write to this consumer) data on a continous basis, unless it has been paused. A paused push producer will resume producing after its resumeProducing() method is called. For a push producer which is not pauseable, these functions may be noops.

This interface is semi-stable.

Method Summary
| ``pauseProducing`(self)` Pause producing data.
| ``resumeProducing`(self)` Resume producing data.
Inherited from IProducer
| ``stopProducing`(self)` Stop producing data.

Method Details

### pauseProducing(self) Pause producing data. Tells a producer that it has produced too much data to process for the time being, and to stop until resumeProducing() is called.

### resumeProducing(self) Resume producing data. This tells a producer to re-add itself to the main loop and produce more data for its consumer.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net